## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Sphinx-generated HTML documentation is not suitable for packaging; see
# https://bugzilla.redhat.com/show_bug.cgi?id=2006555 for discussion.
#
# We can generate PDF documentation as a substitute (but we no longer do).
%bcond doc %[ %{defined fc42} || %{defined fc41} || %{defined fc40} || %{defined el10} ]

Name:           python-plac
Version:        1.4.5
Release:        %autorelease
Summary:        The smartest command line arguments parser in the world

License:        BSD-2-Clause
URL:            https://github.com/ialbert/plac
# GitHub archive contains full documentation sources; PyPI sdist does not
Source0:        %{url}/archive/v%{version}/plac-%{version}.tar.gz
# Man page written for Fedora in groff_man(7) format based on --help output
Source1:        plac_runner.py.1

BuildSystem:            pyproject
BuildOption(install):   -l plac_core plac_ext plac_tk plac

# Fix Tkinter imports on Python 3
# https://github.com/ialbert/plac/pull/85
Patch:          %{url}/pull/85.patch

BuildArch:      noarch

# Required for plac_tk:
BuildRequires:  python3-tkinter

%if %{with doc}
BuildRequires:  make
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)
BuildRequires:  python3-sphinx-latex
BuildRequires:  latexmk
%endif

%global common_description %{expand:
plac is a Python package that can generate command line parameters from
function signatures.

plac works on Python 2.6 through all versions of Python 3.

plac has no dependencies beyond modules already present in the Python standard
library.

plac implements most of its functionality in a single file that may be included
in your source code.}

%description %{common_description}


%package -n python3-plac
Summary:        %{summary}

# Required for plac_tk:
Recommends:     python3-tkinter

%if %{without doc}
Obsoletes:      python-plac-doc < 1.4.5-1
%endif

%description -n python3-plac %{common_description}


%if %{with doc}
%package        doc
Summary:        Documentation for plac

%description doc %{common_description}
%endif


%build -a
%if %{with doc}
PYTHONPATH="${PWD}" sphinx-build -b latex -j%{?_smp_build_ncpus} \
    doc %{_vpath_builddir}/_latex
%make_build -C %{_vpath_builddir}/_latex LATEXMKOPTS='-quiet'
%endif


%install -a
install -t '%{buildroot}%{_mandir}/man1' -m 0644 -p -D '%{SOURCE1}'


%check -a
%{py3_test_envvars} '%{python3}' doc/test_plac.py


%files -n python3-plac -f %{pyproject_files}
%if %{without doc}
%doc CHANGES.md README.md RELEASE.md
%endif
%{_bindir}/plac_runner.py
%{_mandir}/man1/plac_runner.py.1*


%if %{with doc}
%files doc
%license LICENSE.txt
%doc CHANGES.md README.md RELEASE.md
%doc %{_vpath_builddir}/_latex/plac.pdf
%endif


%changelog
## START: Generated by rpmautospec
* Tue May 06 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.4.5-5
- Update .rpmlintrc file for current rpmlint

* Sun Apr 06 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.4.5-4
- F41+: Use the provisional pyproject declarative buildsystem

* Sun Apr 06 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.4.5-3
- Add a weak dep. on python3-tkinter, required for plac_tk

* Sun Apr 06 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.4.5-2
- Fix Tkinter imports on Python 3

* Sun Apr 06 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.4.5-1
- Starting with Fedora 43, do not build PDF documentation
- Drop the -doc subpackage (again, starting with Fedora 43)

* Sun Apr 06 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.4.3-6
- Update to 1.4.5 (close RHBZ#2357497)

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 1.4.3-3
- Rebuilt for Python 3.13

* Thu Feb 22 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.4.3-1
- Update to 1.4.3 (close RHBZ#2265528, fix RHBZ#2264854)

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Dec 18 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.4.2-3
- Assert that %%pyproject_files contains a license file

* Mon Dec 11 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.4.2-1
- Update to 1.4.2 (close RHBZ#2253778)

* Fri Oct 27 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.4.1-1
- Update to 1.4.1 (close RHBZ#2246447)

* Thu Oct 12 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.4.0-2
- F38+: Use %%{py3_test_envvars} to run the tests

* Tue Sep 19 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.4.0-1
- Update to 1.4.0

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.5-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jul 11 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.3.5-11
- F39+: Apply server removal patch based on OS version (implicitly: Python
  3.12+)

* Tue Jul 11 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.3.5-10
- Guard against %%python3_version being undefined

* Tue Jul 11 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.3.5-9
- When PDF docs are disabled, omit the -doc subpackage

* Fri Jul 07 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.3.5-8
- Use new (rpm 4.17.1+) bcond style

* Thu Jun 15 2023 Python Maint <python-maint@redhat.com> - 1.3.5-7
- Rebuilt for Python 3.12

* Sat Mar 18 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.3.5-6
- Don’t assume %%_smp_mflags is -j%%_smp_build_ncpus

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Dec 22 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.3.5-4
- Remove server functionality when Python ≥ 3.12 (fix RHBZ#2155450)
- Works around asyncore/asynchat removal from std. lib.

* Fri Nov 25 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.3.5-3
- Update License to SPDX

* Mon Aug 22 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.3.5-2
- Parallelize sphinx-build

* Mon Jul 25 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.3.5-1
- Initial package (close RHBZ#2107915)
## END: Generated by rpmautospec
